# Basic Config
esphome: 
  name: ir-s06-pro
  friendly_name: IR S06 Pro

bk72xx:
  board: wb3s

wifi: 
  ssid: !secret wifi_ssid 
  password: !secret wifi_password


# Enable logging
logger:
  level: DEBUG # Default

# Enable Home Assistant API
api:
  encryption:
    key: !secret api_encryption_key

captive_portal:

remote_transmitter:
  pin: P26
  carrier_duty_percent: 50%

remote_receiver:
  pin:
    number: P8
    inverted: true
  tolerance: 30%
  idle: 8ms

binary_sensor:
  - platform: gpio
    name: "Button"
    id: gpio_button
    pin:
      number: P6
      inverted: true
      mode:
        input: true
        pullup: true

light:
  - platform: status_led
    name: "Status LED"
    pin: P9
